Latest 0.0.9
Homepage https://github.com/megavolt605/CNLDataProvider
License MIT
Platforms ios 9.0
Dependencies CNLFoundationTools, CNLUIKitTools
Frameworks Foundation, UIKit, CoreLocation
Authors

Model basic and data providers for UITableView and UICollectionView

Platform iOS

CocoaPods compatible

Installation

CocoaPods

CocoaPods is a dependency manager for Cocoa projects.

Specify CNLDataProvider into your project’s Podfile:

source 'https://github.com/CocoaPods/Specs.git'
platform :ios, '9.0'
use_frameworks!

pod 'CNLDataProvider'

Dependicies

This framework depends on other frameworks:

CNLFoundationTools – common tools for the Foundation framework

CNLUIKitTools – common tools for the UIKit framework

Documentation

You can found yazzy-generated documentation right here, in the <Docs folder

Usage

Author

Igor Smirnov

License

CNLDataProvider is released under MIT license and copyrighted by Igor Smirnov.

Latest podspec

{
    "name": "CNLDataProvider",
    "version": "0.0.9",
    "summary": "Basic model and data providers.",
    "description": "Basic model and data providers for UITableView and UICollectionViewnCommonly used in other Complex Numbers projects.",
    "homepage": "https://github.com/megavolt605/CNLDataProvider",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "Igor Smirnov": "[email protected]"
    },
    "platforms": {
        "ios": "9.0"
    },
    "source": {
        "git": "https://github.com/megavolt605/CNLDataProvider.git",
        "tag": "0.0.9"
    },
    "source_files": "CNLDataProvider/**/*.{h,m,swift,map}",
    "resources": "CNLDataProvider/*.xcassets",
    "frameworks": [
        "Foundation",
        "UIKit",
        "CoreLocation"
    ],
    "dependencies": {
        "CNLFoundationTools": [],
        "CNLUIKitTools": []
    },
    "pod_target_xcconfig": {
        "SWIFT_VERSION": "4.0"
    },
    "pushed_with_swift_version": "4.0"
}

Pin It on Pinterest

Share This